## rust-sniffglue 0.15.0

=== Makefile ===
docs: docs/sniffglue.1

docs/%.1: docs/%.1.scd
	scdoc > $@ < $^

.PHONEY: docs

## rust-sniffglue 0.8.2

=== debian/changelog ===
rust-sniffglue (0.8.2-4) unstable; urgency=medium

  * Package sniffglue 0.8.2 from crates.io using debcargo 2.2.10

 -- kpcyrd <git@rxv.cc>  Fri, 08 Feb 2019 09:31:56 +0100

rust-sniffglue (0.8.2-3) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.8.2 from crates.io using debcargo 2.2.9

 -- Ximin Luo <infinity0@debian.org>  Tue, 18 Dec 2018 17:32:55 -0800

rust-sniffglue (0.8.2-2) unstable; urgency=medium

  * Package sniffglue 0.8.2 from crates.io using debcargo 2.2.9

 -- kpcyrd <git@rxv.cc>  Sat, 15 Dec 2018 10:33:33 +0100

rust-sniffglue (0.8.2-1) unstable; urgency=medium

  * Package sniffglue 0.8.2 from crates.io using debcargo 2.2.8

 -- kpcyrd <git@rxv.cc>  Tue, 20 Nov 2018 14:04:58 +0100

=== debian/control ===
Source: rust-sniffglue
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 15),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.11+default-dev,
 librust-atty-0.2+default-dev,
 librust-dhcp4r-0.1+default-dev,
 librust-dirs-1+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.6+default-dev | librust-env-logger-0.5+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0.13+default-dev | librust-nix-0.12+default-dev | librust-nix-0.11+default-dev,
 librust-nom-4+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-0.7+default-dev,
 librust-pktparse-0.3+default-dev,
 librust-pktparse-0.3+derive-dev,
 librust-reduce-0.1+default-dev (>= 0.1.1-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.8+default-dev,
 librust-structopt-0.2+default-dev,
 librust-syscallz-0.8+default-dev,
 librust-threadpool-1+default-dev (>= 1.7-~~),
 librust-tls-parser-0.6+default-dev,
 librust-toml-0.4+default-dev,
 librust-users-0.8+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sniffglue]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sniffglue

Package: librust-sniffglue-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-term-0.11+default-dev,
 librust-atty-0.2+default-dev,
 librust-dhcp4r-0.1+default-dev,
 librust-dirs-1+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.6+default-dev | librust-env-logger-0.5+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0.13+default-dev | librust-nix-0.12+default-dev | librust-nix-0.11+default-dev,
 librust-nom-4+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-0.7+default-dev,
 librust-pktparse-0.3+default-dev,
 librust-pktparse-0.3+derive-dev,
 librust-reduce-0.1+default-dev (>= 0.1.1-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.8+default-dev,
 librust-structopt-0.2+default-dev,
 librust-syscallz-0.8+default-dev,
 librust-threadpool-1+default-dev (>= 1.7-~~),
 librust-tls-parser-0.6+default-dev,
 librust-toml-0.4+default-dev,
 librust-users-0.8+default-dev
Provides:
 librust-sniffglue+default-dev (= ${binary:Version}),
 librust-sniffglue-0-dev (= ${binary:Version}),
 librust-sniffglue-0+default-dev (= ${binary:Version}),
 librust-sniffglue-0.8-dev (= ${binary:Version}),
 librust-sniffglue-0.8+default-dev (= ${binary:Version}),
 librust-sniffglue-0.8.2-dev (= ${binary:Version}),
 librust-sniffglue-0.8.2+default-dev (= ${binary:Version})
Description: Secure multithreaded packet sniffer - Rust source code
 This package contains the source for the Rust sniffglue crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: sniffglue
Architecture: any
Multi-Arch: allowed
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Secure multithreaded packet sniffer
 sniffglue is a network sniffer written in rust. Network packets are parsed
 concurrently using a thread pool to utilize all cpu cores. Project goals are
 that you can run sniffglue securely on untrusted networks and that it must not
 crash when processing packets. The output should be as useful as possible by
 default.
 .
 This package contains the following binaries built from the Rust crate
 "sniffglue":
  - sniffglue

## rust-sniffglue 0.11.1

=== debian/changelog ===
rust-sniffglue (0.11.1-6) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.11.1 from crates.io using debcargo 2.4.0
  * Drop dev-dependency on boxxy and remove examples/boxxy.rs
    to allow the rest of the tests to run.
  * Fix a couple of compile errors in benches/bench.rs

  [ kpcyrd ]
  * Add missing syscalls to seccomp filter (Closes: #985858)

 -- Peter Michael Green <plugwash@debian.org>  Fri, 26 Mar 2021 20:47:45 +0000

rust-sniffglue (0.11.1-5) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.11.1 from crates.io using debcargo 2.4.0
  * Fix deps (Closes: #975755)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Nov 2020 23:07:21 +0100

rust-sniffglue (0.11.1-4) unstable; urgency=medium

  * Package sniffglue 0.11.1 from crates.io using debcargo 2.4.3
  * Change nix dependency to 0.19

 -- kpcyrd <git@rxv.cc>  Thu, 05 Nov 2020 16:21:13 +0100

rust-sniffglue (0.11.1-2) unstable; urgency=medium

  * Package sniffglue 0.11.1 from crates.io using debcargo 2.4.3
  * Change syscallz dependency from 0.14 to 0.15

 -- kpcyrd <git@rxv.cc>  Tue, 06 Oct 2020 14:17:05 +0200

rust-sniffglue (0.11.1-1) unstable; urgency=medium

  * Package sniffglue 0.11.1 from crates.io using debcargo 2.4.3
    (Closes: #963919)

 -- kpcyrd <git@rxv.cc>  Mon, 05 Oct 2020 13:56:43 +0200

rust-sniffglue (0.10.1-1) unstable; urgency=medium

  * Package sniffglue 0.10.1 from crates.io using debcargo 2.4.0

 -- kpcyrd <git@rxv.cc>  Tue, 31 Dec 2019 19:34:05 +0100

rust-sniffglue (0.9.0-1) unstable; urgency=medium

  * Package sniffglue 0.9.0 from crates.io using debcargo 2.4.0

 -- kpcyrd <git@rxv.cc>  Wed, 11 Sep 2019 23:09:37 +0200

=== debian/control ===
Source: rust-sniffglue
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.12+default-dev,
 librust-atty-0.2+default-dev,
 librust-base64-0.12+default-dev,
 librust-dhcp4r-0.2+default-dev,
 librust-dirs-3+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.7+default-dev,
 librust-failure-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0.19+default-dev,
 librust-nom-5+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
 librust-pktparse-0.5+default-dev,
 librust-pktparse-0.5+serde-dev,
 librust-reduce-0.1+default-dev (>= 0.1.1-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.9+default-dev,
 librust-structopt-0.3+default-dev,
 librust-syscallz-0.15+default-dev,
 librust-tls-parser-0.9+default-dev,
 librust-toml-0.5+default-dev,
 librust-users-0.10+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sniffglue]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sniffglue

Package: librust-sniffglue-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-term-0.12+default-dev,
 librust-atty-0.2+default-dev,
 librust-base64-0.12+default-dev,
 librust-dhcp4r-0.2+default-dev,
 librust-dirs-3+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.7+default-dev,
 librust-failure-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0.19+default-dev,
 librust-nom-5+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
 librust-pktparse-0.5+default-dev,
 librust-pktparse-0.5+serde-dev,
 librust-reduce-0.1+default-dev (>= 0.1.1-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.9+default-dev,
 librust-structopt-0.3+default-dev,
 librust-syscallz-0.15+default-dev,
 librust-tls-parser-0.9+default-dev,
 librust-toml-0.5+default-dev,
 librust-users-0.10+default-dev
Provides:
 librust-sniffglue+default-dev (= ${binary:Version}),
 librust-sniffglue-0-dev (= ${binary:Version}),
 librust-sniffglue-0+default-dev (= ${binary:Version}),
 librust-sniffglue-0.11-dev (= ${binary:Version}),
 librust-sniffglue-0.11+default-dev (= ${binary:Version}),
 librust-sniffglue-0.11.1-dev (= ${binary:Version}),
 librust-sniffglue-0.11.1+default-dev (= ${binary:Version})
Description: Secure multithreaded packet sniffer - Rust source code
 This package contains the source for the Rust sniffglue crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: sniffglue
Architecture: any
Multi-Arch: allowed
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Secure multithreaded packet sniffer
 sniffglue is a network sniffer written in rust. Network packets are parsed
 concurrently using a thread pool to utilize all cpu cores. Project goals are
 that you can run sniffglue securely on untrusted networks and that it must not
 crash when processing packets. The output should be as useful as possible by
 default.
 .
 This package contains the following binaries built from the Rust crate
 "sniffglue":
  - sniffglue

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.11.1 --all-targets --all-features
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.11.1 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-sniffglue-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sniffglue-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sniffglue .*/crates/sniffglue/@ANY_VERSION@/download

## rust-sniffglue 0.12.1

=== debian/changelog ===
rust-sniffglue (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.12.1 from crates.io using debcargo 2.4.4
  * Fix 1970 timestamps (Closes: 992718)

 -- Peter Michael Green <plugwash@debian.org>  Mon, 23 Aug 2021 09:30:36 +0000

rust-sniffglue (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.12.1 from crates.io using debcargo 2.4.4
  * Revert nom 6 / tls-parser 0.10 related changes as we don't have those in Debian yet.
  * Adjust relax-deps.patch for new upstream.
  * Remove fix-dep.diff (no longer needed)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 22 Aug 2021 13:39:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: rust-sniffglue
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 11),
- dh-cargo (>= 18),
+Build-Depends: debhelper (>= 12),
+ dh-cargo (>= 24),
  cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-ansi-term-0.12+default-dev,
+ librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
- librust-base64-0.12+default-dev,
+ librust-base64-0.13+default-dev,
  librust-dhcp4r-0.2+default-dev,
- librust-dirs-3+default-dev,
+ librust-dirs-next-2+default-dev,
  librust-dns-parser-0.8+default-dev,
  librust-env-logger-0.7+default-dev,
- librust-failure-0.1+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
  librust-nix-0.19+default-dev,
@@ -31,13 +31,14 @@
  librust-syscallz-0.15+default-dev,
  librust-tls-parser-0.9+default-dev,
  librust-toml-0.5+default-dev,
- librust-users-0.10+default-dev
+ librust-users-0.11+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
-Standards-Version: 4.2.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sniffglue]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sniffglue
+Rules-Requires-Root: no
 
 Package: librust-sniffglue-dev
 Architecture: any
@@ -45,13 +46,13 @@
 Depends:
  ${misc:Depends},
  librust-ansi-term-0.12+default-dev,
+ librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
- librust-base64-0.12+default-dev,
+ librust-base64-0.13+default-dev,
  librust-dhcp4r-0.2+default-dev,
- librust-dirs-3+default-dev,
+ librust-dirs-next-2+default-dev,
  librust-dns-parser-0.8+default-dev,
  librust-env-logger-0.7+default-dev,
- librust-failure-0.1+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
  librust-nix-0.19+default-dev,
@@ -69,15 +70,15 @@
  librust-syscallz-0.15+default-dev,
  librust-tls-parser-0.9+default-dev,
  librust-toml-0.5+default-dev,
- librust-users-0.10+default-dev
+ librust-users-0.11+default-dev
 Provides:
  librust-sniffglue+default-dev (= ${binary:Version}),
  librust-sniffglue-0-dev (= ${binary:Version}),
  librust-sniffglue-0+default-dev (= ${binary:Version}),
- librust-sniffglue-0.11-dev (= ${binary:Version}),
- librust-sniffglue-0.11+default-dev (= ${binary:Version}),
- librust-sniffglue-0.11.1-dev (= ${binary:Version}),
- librust-sniffglue-0.11.1+default-dev (= ${binary:Version})
+ librust-sniffglue-0.12-dev (= ${binary:Version}),
+ librust-sniffglue-0.12+default-dev (= ${binary:Version}),
+ librust-sniffglue-0.12.1-dev (= ${binary:Version}),
+ librust-sniffglue-0.12.1+default-dev (= ${binary:Version})
 Description: Secure multithreaded packet sniffer - Rust source code
  This package contains the source for the Rust sniffglue crate, packaged by
  debcargo for use with cargo and dh-cargo.
@@ -104,7 +105,3 @@
  that you can run sniffglue securely on untrusted networks and that it must not
  crash when processing packets. The output should be as useful as possible by
  default.
- .
- This package contains the following binaries built from the Rust crate
- "sniffglue":
-  - sniffglue

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.12.1 --all-targets --all-features
Features: test-name=rust-sniffglue:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.12.1 --all-targets 
Features: test-name=librust-sniffglue-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.12.1 --all-targets --no-default-features
Features: test-name=librust-sniffglue-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-sniffglue 0.14.0

=== debian/changelog ===
rust-sniffglue (0.14.0-2ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to update in rust-regex

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 18 Aug 2022 10:52:17 +0200

rust-sniffglue (0.14.0-2) unstable; urgency=medium

  * Package sniffglue 0.14.0 from crates.io using debcargo 2.5.0
  * Remove nix 0.19 downgrade, debian has 0.23 now

 -- kpcyrd <git@rxv.cc>  Mon, 06 Dec 2021 20:51:56 +0100

rust-sniffglue (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.14.0 from crates.io using debcargo 2.4.4
  * adjust patches for new upstream and current state in Debian.
    + upstream now declares a dependency on nix 0.23, Debian still has 0.19
      continue patching dependency to 0.19
    + no need to adjust env_logger dependency anymore, upstream now matches
      Debian. (Closes: 997687)
    + add patch to revert switch to nom 7 and associated depedency changes.
    + relax dependency on bstr.
    + add patch reverting addition of icmp support, it requires a new version
      of pktparse which in turn requires a new version of nom. 

 -- Peter Michael Green <plugwash@debian.org>  Thu, 28 Oct 2021 15:30:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 12),
- dh-cargo (>= 24),
+ dh-cargo (>= 25),
  cargo:native,
  rustc:native,
  libstd-rust-dev,
@@ -10,13 +10,14 @@
  librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
  librust-base64-0.13+default-dev,
+ librust-bstr-0.2+default-dev (>= 0.2.12-~~),
  librust-dhcp4r-0.2+default-dev,
  librust-dirs-next-2+default-dev,
  librust-dns-parser-0.8+default-dev,
- librust-env-logger-0.7+default-dev,
+ librust-env-logger-0.9+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
- librust-nix-0.19+default-dev,
+ librust-nix-0.23+default-dev,
  librust-nom-5+default-dev,
  librust-num-cpus-1+default-dev (>= 1.6-~~),
  librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
@@ -32,7 +33,8 @@
  librust-tls-parser-0.9+default-dev,
  librust-toml-0.5+default-dev,
  librust-users-0.11+default-dev
-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
 Standards-Version: 4.5.1
@@ -49,13 +51,14 @@
  librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
  librust-base64-0.13+default-dev,
+ librust-bstr-0.2+default-dev (>= 0.2.12-~~),
  librust-dhcp4r-0.2+default-dev,
  librust-dirs-next-2+default-dev,
  librust-dns-parser-0.8+default-dev,
- librust-env-logger-0.7+default-dev,
+ librust-env-logger-0.9+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
- librust-nix-0.19+default-dev,
+ librust-nix-0.23+default-dev,
  librust-nom-5+default-dev,
  librust-num-cpus-1+default-dev (>= 1.6-~~),
  librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
@@ -75,10 +78,10 @@
  librust-sniffglue+default-dev (= ${binary:Version}),
  librust-sniffglue-0-dev (= ${binary:Version}),
  librust-sniffglue-0+default-dev (= ${binary:Version}),
- librust-sniffglue-0.12-dev (= ${binary:Version}),
- librust-sniffglue-0.12+default-dev (= ${binary:Version}),
- librust-sniffglue-0.12.1-dev (= ${binary:Version}),
- librust-sniffglue-0.12.1+default-dev (= ${binary:Version})
+ librust-sniffglue-0.14-dev (= ${binary:Version}),
+ librust-sniffglue-0.14+default-dev (= ${binary:Version}),
+ librust-sniffglue-0.14.0-dev (= ${binary:Version}),
+ librust-sniffglue-0.14.0+default-dev (= ${binary:Version})
 Description: Secure multithreaded packet sniffer - Rust source code
  This package contains the source for the Rust sniffglue crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.14.0 --all-targets --all-features
Features: test-name=rust-sniffglue:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.14.0 --all-targets 
Features: test-name=librust-sniffglue-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.14.0 --all-targets --no-default-features
Features: test-name=librust-sniffglue-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-sniffglue 0.15.0

=== debian/changelog ===
rust-sniffglue (0.15.0-3) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.15.0 from crates.io using debcargo 2.5.0
  * Relax the nix dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Aug 2022 17:22:56 +0200

rust-sniffglue (0.15.0-2) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.15.0 from crates.io using debcargo 2.5.0
  * Stop patching dependency versions of bstr and sha2.
  * Patch nix dependency to 0.24

 -- Peter Michael Green <plugwash@debian.org>  Sun, 05 Jun 2022 09:14:24 +0000

rust-sniffglue (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.15.0 from crates.io using debcargo 2.5.0
  * Drop ihl-test-fix.patch - applied upstream
  * Add ihl-bench-fix.patch to make bench compatible with pktparse 0.7.1
  * Revert upstream bump of sha2 dependency.
  * Add build-dependencies and logic to build manpage with scdoc
  * Remove timestamp fixing code from debian/rules, the issue has now
    been dealt with in dh-cargo.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 06 Mar 2022 23:43:13 +0000

rust-sniffglue (0.14.0-4) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.14.0 from crates.io using debcargo 2.5.0
  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Sat, 05 Mar 2022 16:12:51 -0500

rust-sniffglue (0.14.0-3) experimental; urgency=medium

  * Team upload.
  * Package sniffglue 0.14.0 from crates.io using debcargo 2.5.0
  * Drop patches reverting nom, tls-parser, and pktparse to lower versions
  * Add patch to fix tests when building against pktparse >= 0.7.1

 -- James McCoy <jamessan@debian.org>  Thu, 03 Mar 2022 18:34:08 -0500

=== debian/control ===
--- 
+++ 
@@ -10,31 +10,31 @@
  librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
  librust-base64-0.13+default-dev,
- librust-bstr-0.2+default-dev (>= 0.2.12-~~),
+ librust-bstr-0.2+default-dev (>= 0.2.16-~~),
  librust-dhcp4r-0.2+default-dev,
  librust-dirs-next-2+default-dev,
  librust-dns-parser-0.8+default-dev,
  librust-env-logger-0.9+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
- librust-nix-0.23+default-dev,
- librust-nom-5+default-dev,
+ librust-nix-0+default-dev,
+ librust-nom-7+default-dev,
  librust-num-cpus-1+default-dev (>= 1.6-~~),
  librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
- librust-pktparse-0.5+default-dev,
- librust-pktparse-0.5+serde-dev,
+ librust-pktparse-0.7+default-dev (>= 0.7.1-~~),
+ librust-pktparse-0.7+serde-dev (>= 0.7.1-~~),
  librust-reduce-0.1+default-dev (>= 0.1.1-~~),
  librust-serde-1+default-dev,
  librust-serde-derive-1+default-dev,
  librust-serde-json-1+default-dev,
- librust-sha2-0.9+default-dev,
+ librust-sha2-0.10+default-dev,
  librust-structopt-0.3+default-dev,
  librust-syscallz-0.15+default-dev,
- librust-tls-parser-0.9+default-dev,
+ librust-tls-parser-0.11+default-dev,
  librust-toml-0.5+default-dev,
- librust-users-0.11+default-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+ librust-users-0.11+default-dev,
+ scdoc
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
 Standards-Version: 4.5.1
@@ -51,37 +51,37 @@
  librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
  librust-base64-0.13+default-dev,
- librust-bstr-0.2+default-dev (>= 0.2.12-~~),
+ librust-bstr-0.2+default-dev (>= 0.2.16-~~),
  librust-dhcp4r-0.2+default-dev,
  librust-dirs-next-2+default-dev,
  librust-dns-parser-0.8+default-dev,
  librust-env-logger-0.9+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
- librust-nix-0.23+default-dev,
- librust-nom-5+default-dev,
+ librust-nix-0+default-dev,
+ librust-nom-7+default-dev,
  librust-num-cpus-1+default-dev (>= 1.6-~~),
  librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
- librust-pktparse-0.5+default-dev,
- librust-pktparse-0.5+serde-dev,
+ librust-pktparse-0.7+default-dev (>= 0.7.1-~~),
+ librust-pktparse-0.7+serde-dev (>= 0.7.1-~~),
  librust-reduce-0.1+default-dev (>= 0.1.1-~~),
  librust-serde-1+default-dev,
  librust-serde-derive-1+default-dev,
  librust-serde-json-1+default-dev,
- librust-sha2-0.9+default-dev,
+ librust-sha2-0.10+default-dev,
  librust-structopt-0.3+default-dev,
  librust-syscallz-0.15+default-dev,
- librust-tls-parser-0.9+default-dev,
+ librust-tls-parser-0.11+default-dev,
  librust-toml-0.5+default-dev,
  librust-users-0.11+default-dev
 Provides:
  librust-sniffglue+default-dev (= ${binary:Version}),
  librust-sniffglue-0-dev (= ${binary:Version}),
  librust-sniffglue-0+default-dev (= ${binary:Version}),
- librust-sniffglue-0.14-dev (= ${binary:Version}),
- librust-sniffglue-0.14+default-dev (= ${binary:Version}),
- librust-sniffglue-0.14.0-dev (= ${binary:Version}),
- librust-sniffglue-0.14.0+default-dev (= ${binary:Version})
+ librust-sniffglue-0.15-dev (= ${binary:Version}),
+ librust-sniffglue-0.15+default-dev (= ${binary:Version}),
+ librust-sniffglue-0.15.0-dev (= ${binary:Version}),
+ librust-sniffglue-0.15.0+default-dev (= ${binary:Version})
 Description: Secure multithreaded packet sniffer - Rust source code
  This package contains the source for the Rust sniffglue crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	dh_auto_test -- test --all

execute_after_dh_auto_build:
	scdoc < docs/sniffglue.1.scd > docs/sniffglue.1

exechute_after_dh_auto_clean:
	rm -f docs/sniffglue.1

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.15.0 --all-targets --all-features
Features: test-name=rust-sniffglue:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.15.0 --all-targets 
Features: test-name=librust-sniffglue-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.15.0 --all-targets --no-default-features
Features: test-name=librust-sniffglue-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-sniffglue 0.16.0

=== debian/changelog ===
rust-sniffglue (0.16.0-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:23 +1100

rust-sniffglue (0.16.0-3) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.16.0 from crates.io using debcargo 2.6.1
  * Relax dependency on nix.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 05 Mar 2024 10:27:52 +0000

rust-sniffglue (0.16.0-2) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.16.0 from crates.io using debcargo 2.6.1
  * Stop patching toml dependency.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Jan 2024 17:58:06 +0000

rust-sniffglue (0.16.0-1) unstable; urgency=medium

  * Package sniffglue 0.16.0 from crates.io using debcargo 2.6.0

 -- kpcyrd <git@rxv.cc>  Sun, 07 Jan 2024 18:55:51 +0100

rust-sniffglue (0.15.0-7) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.15.0 from crates.io using debcargo 2.6.1
  * Bump syscallz dependency to 0.17
  * Use rust-uzers instead of rust-users.
  * Tighten nix dependency to only allow 0.26, the code is not compatible
    with nix 0.27.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Dec 2023 22:01:09 +0000

rust-sniffglue (0.15.0-6) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.15.0 from crates.io using debcargo 2.6.0
  * Updated relax-deps.diff for env-logger update
  * Fix typo in d/rules

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 10 Aug 2023 17:50:28 +0200

rust-sniffglue (0.15.0-5) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.15.0 from crates.io using debcargo 2.6.0
  * Stop patching syscallz dependency.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 13 Jul 2023 01:39:29 +0000

rust-sniffglue (0.15.0-4) unstable; urgency=medium

  [ Peter Michael Green ]
  * Team upload.
  * Package sniffglue 0.15.0 from crates.io using debcargo 2.6.0
  * Bump bstr dependency to 1

  [ Fabian Grünbichler ]
  * Bump base64 dependency to 0.21

 -- Peter Michael Green <plugwash@debian.org>  Mon, 12 Jun 2023 22:58:42 +0000

=== debian/control ===
Source: rust-sniffglue
Section: net
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.12+default-dev,
 librust-anyhow-1+default-dev,
 librust-bstr-1+default-dev,
 librust-bstr-1+serde-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-complete-4+default-dev,
 librust-data-encoding-2+default-dev,
 librust-dhcp4r-0.2+default-dev,
 librust-dirs-next-2+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.10+default-dev,
 librust-httparse-1+default-dev (>= 1.8.0-~~),
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0+default-dev (>= 0.26-~~),
 librust-nix-0+fs-dev (>= 0.26-~~),
 librust-nix-0+user-dev (>= 0.26-~~),
 librust-nom-7+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
 librust-pktparse-0.7+default-dev (>= 0.7.1-~~),
 librust-pktparse-0.7+serde-dev (>= 0.7.1-~~),
 librust-reduce-0.1+default-dev (>= 0.1.1-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-syscallz-0.17+default-dev,
 librust-tls-parser-0.11+default-dev,
 librust-toml-0.8+default-dev,
 librust-uzers-0.11+default-dev (>= 0.11.3-~~),
 scdoc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sniffglue]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sniffglue
X-Cargo-Crate: sniffglue
Rules-Requires-Root: no

Package: librust-sniffglue-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-term-0.12+default-dev,
 librust-anyhow-1+default-dev,
 librust-bstr-1+default-dev,
 librust-bstr-1+serde-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-complete-4+default-dev,
 librust-data-encoding-2+default-dev,
 librust-dhcp4r-0.2+default-dev,
 librust-dirs-next-2+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.10+default-dev,
 librust-httparse-1+default-dev (>= 1.8.0-~~),
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0+default-dev (>= 0.26-~~),
 librust-nix-0+fs-dev (>= 0.26-~~),
 librust-nix-0+user-dev (>= 0.26-~~),
 librust-nom-7+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
 librust-pktparse-0.7+default-dev (>= 0.7.1-~~),
 librust-pktparse-0.7+serde-dev (>= 0.7.1-~~),
 librust-reduce-0.1+default-dev (>= 0.1.1-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-syscallz-0.17+default-dev,
 librust-tls-parser-0.11+default-dev,
 librust-toml-0.8+default-dev,
 librust-uzers-0.11+default-dev (>= 0.11.3-~~)
Provides:
 librust-sniffglue+default-dev (= ${binary:Version}),
 librust-sniffglue-0-dev (= ${binary:Version}),
 librust-sniffglue-0+default-dev (= ${binary:Version}),
 librust-sniffglue-0.16-dev (= ${binary:Version}),
 librust-sniffglue-0.16+default-dev (= ${binary:Version}),
 librust-sniffglue-0.16.0-dev (= ${binary:Version}),
 librust-sniffglue-0.16.0+default-dev (= ${binary:Version})
Description: Secure multithreaded packet sniffer - Rust source code
 Source code for Debianized Rust crate "sniffglue"

Package: sniffglue
Architecture: any
Multi-Arch: allowed
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Secure multithreaded packet sniffer
 sniffglue is a network sniffer written in rust. Network packets are parsed
 concurrently using a thread pool to utilize all cpu cores. Project goals are
 that you can run sniffglue securely on untrusted networks and that it must not
 crash when processing packets. The output should be as useful as possible by
 default.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.16.0 --all-targets --all-features
Features: test-name=rust-sniffglue:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.16.0 --all-targets
Features: test-name=librust-sniffglue-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.16.0 --all-targets --no-default-features
Features: test-name=librust-sniffglue-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sniffglue-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+].unwrap()((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sniffglue .*/crates/sniffglue/@ANY_VERSION@/download

## rust-sniffglue 0.16.1

=== debian/changelog ===
rust-sniffglue (0.16.1-3) unstable; urgency=medium

  * Team upload
  * Package sniffglue 0.16.1 from crates.io using debcargo 2.7.11
  * Build with rust-nu-ansi-term instead of rust-ansiterm

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 Oct 2025 14:59:19 -0400

rust-sniffglue (0.16.1-2) unstable; urgency=medium

  * Team upload
  * Package sniffglue 0.16.1 from crates.io using debcargo 2.7.11
  * Build with rust-ansiterm instead of rust-ansi-term

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 3 Oct 2025 16:42:09 -0400

rust-sniffglue (0.16.1-1) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.16.1 from crates.io using debcargo 2.6.1
  * Update patches for new upstream and current situation in Debian.
  * Relax dependency on env-logger.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 10 Sep 2024 23:43:43 +0000

rust-sniffglue (0.16.0-4) unstable; urgency=medium

  * Team upload.
  * Package sniffglue 0.16.0 from crates.io using debcargo 2.6.1
  * Bump uzers dependency to 0.22.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 08 Sep 2024 15:12:44 +0000

=== debian/control ===
Source: rust-sniffglue
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 scdoc
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-bstr-1+default-dev,
 librust-bstr-1+serde-dev,
 librust-clap-4+default-dev (>= 4.4.11-~~),
 librust-clap-4+derive-dev (>= 4.4.11-~~),
 librust-clap-complete-4+default-dev (>= 4.4.4-~~),
 librust-data-encoding-2+default-dev (>= 2.5.0-~~),
 librust-dhcp4r-0.2+default-dev,
 librust-dirs-next-2+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-httparse-1+default-dev (>= 1.8.0-~~),
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0+default-dev (>= 0.27-~~),
 librust-nix-0+fs-dev (>= 0.27-~~),
 librust-nix-0+user-dev (>= 0.27-~~),
 librust-nom-7+default-dev,
 librust-nu-ansi-term-0.50+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
 librust-pktparse-0.7+default-dev (>= 0.7.1-~~),
 librust-pktparse-0.7+serde-dev (>= 0.7.1-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-syscallz-0.17+default-dev,
 librust-tls-parser-0.12+default-dev,
 librust-toml-0.8+default-dev,
 librust-uzers-0.12+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sniffglue]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sniffglue
Homepage: https://github.com/kpcyrd/sniffglue
X-Cargo-Crate: sniffglue

Package: librust-sniffglue-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-bstr-1+default-dev,
 librust-bstr-1+serde-dev,
 librust-clap-4+default-dev (>= 4.4.11-~~),
 librust-clap-4+derive-dev (>= 4.4.11-~~),
 librust-clap-complete-4+default-dev (>= 4.4.4-~~),
 librust-data-encoding-2+default-dev (>= 2.5.0-~~),
 librust-dhcp4r-0.2+default-dev,
 librust-dirs-next-2+default-dev,
 librust-dns-parser-0.8+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-httparse-1+default-dev (>= 1.8.0-~~),
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0+default-dev (>= 0.27-~~),
 librust-nix-0+fs-dev (>= 0.27-~~),
 librust-nix-0+user-dev (>= 0.27-~~),
 librust-nom-7+default-dev,
 librust-nu-ansi-term-0.50+default-dev,
 librust-num-cpus-1+default-dev (>= 1.6-~~),
 librust-pcap-sys-0.1+default-dev (>= 0.1.3-~~),
 librust-pktparse-0.7+default-dev (>= 0.7.1-~~),
 librust-pktparse-0.7+serde-dev (>= 0.7.1-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-syscallz-0.17+default-dev,
 librust-tls-parser-0.12+default-dev,
 librust-toml-0.8+default-dev,
 librust-uzers-0.12+default-dev
Provides:
 librust-sniffglue+default-dev (= ${binary:Version}),
 librust-sniffglue-0-dev (= ${binary:Version}),
 librust-sniffglue-0+default-dev (= ${binary:Version}),
 librust-sniffglue-0.16-dev (= ${binary:Version}),
 librust-sniffglue-0.16+default-dev (= ${binary:Version}),
 librust-sniffglue-0.16.1-dev (= ${binary:Version}),
 librust-sniffglue-0.16.1+default-dev (= ${binary:Version})
Description: Secure multithreaded packet sniffer - Rust source code
 Source code for Debianized Rust crate "sniffglue"

Package: sniffglue
Architecture: any
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Secure multithreaded packet sniffer
 sniffglue is a network sniffer written in rust. Network packets are parsed
 concurrently using a thread pool to utilize all cpu cores. Project goals are
 that you can run sniffglue securely on untrusted networks and that it must not
 crash when processing packets. The output should be as useful as possible by
 default.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,5 @@
 execute_after_dh_auto_build:
 	scdoc < docs/sniffglue.1.scd > docs/sniffglue.1
 
-exechute_after_dh_auto_clean:
+execute_after_dh_auto_clean:
 	rm -f docs/sniffglue.1

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.16.1 --all-targets --all-features
Features: test-name=rust-sniffglue:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.16.1 --all-targets
Features: test-name=librust-sniffglue-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sniffglue 0.16.1 --all-targets --no-default-features
Features: test-name=librust-sniffglue-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sniffglue
Matching-Pattern:  .*/crates/sniffglue/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/sniffglue-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
